Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
ConsoleBaseType Class Referenceabstract

`#include <consoleBaseType.h>`

## Public Member Functions
| ConsoleBaseType (const S32 size, S32 *idPtr, const char *aTypeName)
const S32 | getTypeID () const
const dsize_t | getTypeSize () const
const char * | getTypeName () const
void | setInspectorFieldType (const char *type)
const char * | getInspectorFieldType ()
virtual void | setData (void *dptr, S32 argc, const char **argv, EnumTable *tbl, BitSet32 flag)=0
virtual const char * | getData (void *dptr, EnumTable *tbl, BitSet32 flag)=0
virtual const char * | getTypeClassName ()=0
virtual const bool | isDatablock ()
virtual const char * | prepData (const char *data, char *buffer, U32 bufferLen)
virtual StringTableEntry | getTypePrefix (void) const

## Protected Member Functions
| ~ConsoleBaseType ()
| Destructor is private to avoid people mucking up the list. More...

## Protected Attributes
ConsoleBaseType * | mListNext
| Next item in the list of all console types. More...
S32 | mTypeID
dsize_t | mTypeSize
const char * | mTypeName
const char * | mInspectorFieldType

## Static Protected Attributes
static S32 | smConsoleTypeCount = 1
| This is used to generate unique IDs for each type. More...
static ConsoleBaseType * | smListHead = NULL
| We maintain a linked list of all console types; this is its head. More...

## cbt_list List Interface
Interface for accessing/traversing the list of types.
static ConsoleBaseType * | getListHead ()
| Get the head of the list. More...
static void | initialize ()
| Called once to initialize the console type system. More...
static ConsoleBaseType * | getType (const S32 typeID)
| Call me to get a pointer to a type's info. More...
ConsoleBaseType * | getListNext () const
| Get the item that follows this item in the list. More...

## Constructor & Destructor Documentation

~ConsoleBaseType | ( |  | ) |
| protected

Destructor is private to avoid people mucking up the list.

ConsoleBaseType | ( | const S32 | size,
|  | S32 * | idPtr,
|  | const char * | aTypeName
| ) |  |

The constructor is responsible for linking an element into the master list, registering the type ID, etc.

## Member Function Documentation

virtual const char* getData | ( | void * | dptr,
|  | EnumTable * | tbl,
|  | BitSet32 | flag
| ) |  |
| pure virtual

const char* getInspectorFieldType | ( |  | ) |
| inline

ConsoleBaseType * getListHead | ( |  | ) |
| static

Get the head of the list.

ConsoleBaseType* getListNext | ( |  | ) | const
| inline

Get the item that follows this item in the list.

ConsoleBaseType * getType | ( | const S32 | typeID | ) |
| static

Call me to get a pointer to a type's info.

virtual const char* getTypeClassName | ( |  | ) |
| pure virtual

const S32 getTypeID | ( |  | ) | const
| inline

const char* getTypeName | ( |  | ) | const
| inline

virtual StringTableEntry getTypePrefix | ( | void |  | ) | const
| inline virtual

const dsize_t getTypeSize | ( |  | ) | const
| inline

void initialize | ( |  | ) |
| static

Called once to initialize the console type system.

virtual const bool isDatablock | ( |  | ) |
| inline virtual

virtual const char* prepData | ( | const char * | data,
|  | char * | buffer,
|  | U32 | bufferLen
| ) |  |
| inline virtual

virtual void setData | ( | void * | dptr,
|  | S32 | argc,
|  | const char ** | argv,
|  | EnumTable * | tbl,
|  | BitSet32 | flag
| ) |  |
| pure virtual

void setInspectorFieldType | ( | const char * | type | ) |
| inline

## Member Data Documentation

const char* mInspectorFieldType
| protected

ConsoleBaseType* mListNext
| protected

Next item in the list of all console types.

S32 mTypeID
| protected

const char* mTypeName
| protected

dsize_t mTypeSize
| protected

S32 smConsoleTypeCount = 1
| static protected

This is used to generate unique IDs for each type.

ConsoleBaseType * smListHead = NULL
| static protected

We maintain a linked list of all console types; this is its head.

The documentation for this class was generated from the following files:

- console/consoleBaseType.h
- console/consoleBaseType.cc